Get Work Item Enhance operation status

Returns the operation-style status view for a Work Item Enhance run.

GET/api/v1/operations/:id

Authorization

work-item-enhance:readapi key scoperequired
Required scope when calling with an API key.

Path parameters

idstringrequired
Enhancement run / operation id

Example: wie_01k6...

Request

curl -X GET "https://www.digitalstack360.com/api/v1/operations/wie_01k6..." \
  -H "Authorization: Bearer $DS_API_KEY"

Examples use a placeholder key from your environment. Store your key in $DS_API_KEY — never commit it.

Response

200 OK
{
  "data": {
    "id": "wie_01k6...",
    "type": "work_item_enhancement.run",
    "status": "needs_review",
    "target": {
      "type": "work_item",
      "id": "work_01k2...",
      "key": "DSN-42",
      "title": "Implement board projection API"
    },
    "requested_actions": [
      "requirements",
      "description"
    ],
    "draft_count": 2,
    "artifact_count": 0,
    "applied_draft_ids": []
  }
}

Errors

401
missing_auth

No credentials provided

401
invalid_api_key

API key is invalid or revoked

404
operation_not_found

Operation does not exist or is outside the resolved workspace